org.richfaces.component.html

## Class HtmlGraphValidator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIGraphValidator
      - - org.richfaces.component.html.HtmlGraphValidator

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlGraphValidator
      extends UIGraphValidator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlGraphValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `java.util.Set` | `getProfile()` Get set of profiles for validation
    `java.lang.String` | `getSummary()` Get object for validation
    `java.lang.String` | `getType()` Get graph validator Id.
    `java.lang.Object` | `getValue()` Get object for validation
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setProfile(java.util.Set _profile)` Set set of profiles for validation
    `void` | `setSummary(java.lang.String _summary)` Set object for validation
    `void` | `setType(java.lang.String _type)` Set graph validator Id.
    `void` | `setValue(java.lang.Object _value)` Set object for validation

    - ### Methods inherited from class org.richfaces.component.UIGraphValidator

      `encodeBegin, encodeChildren, getRendersChildren, processUpdates`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlGraphValidator

          public HtmlGraphValidator()

  - ### Method Detail

    - #### getProfile

          public java.util.Set getProfile()

      Description copied from class: `UIGraphValidator`
      Get set of profiles for validation
      Specified by:
        `getProfile` in class `UIGraphValidator`
      Returns:

    - #### setProfile

          public void setProfile(java.util.Set _profile)

      Description copied from class: `UIGraphValidator`
      Set set of profiles for validation
      Specified by:
        `setProfile` in class `UIGraphValidator`

    - #### getSummary

          public java.lang.String getSummary()

      Description copied from class: `UIGraphValidator`
      Get object for validation
      Specified by:
        `getSummary` in class `UIGraphValidator`
      Returns:

    - #### setSummary

          public void setSummary(java.lang.String _summary)

      Description copied from class: `UIGraphValidator`
      Set object for validation
      Specified by:
        `setSummary` in class `UIGraphValidator`

    - #### getType

          public java.lang.String getType()

      Description copied from class: `UIGraphValidator`
      Get graph validator Id.
      Specified by:
        `getType` in class `UIGraphValidator`
      Returns:

    - #### setType

          public void setType(java.lang.String _type)

      Description copied from class: `UIGraphValidator`
      Set graph validator Id.
      Specified by:
        `setType` in class `UIGraphValidator`

    - #### getValue

          public java.lang.Object getValue()

      Description copied from class: `UIGraphValidator`
      Get object for validation
      Specified by:
        `getValue` in class `UIGraphValidator`
      Returns:

    - #### setValue

          public void setValue(java.lang.Object _value)

      Description copied from class: `UIGraphValidator`
      Set object for validation
      Specified by:
        `setValue` in class `UIGraphValidator`

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2014. All Rights Reserved.